Name:           perl-Mojo-RabbitMQ-Client
Version:        0.2.2
Release:        4%{?dist}
Summary:        Mojo::IOLoop based RabbitMQ client
License:        Artistic 2.0 and BSD

URL:            https://metacpan.org/release/Mojo-RabbitMQ-Client
# Fedora ships a source tarball that does not contain the share/fixed_amqp0-8.xml file.
# This file is non-free since it forbids modification.
# Original source is https://cpan.metacpan.org/authors/id/S/SE/SEBAPOD/Mojo-RabbitMQ-Client-%%{version}.tar.gz
Source0:        Mojo-RabbitMQ-Client-without-amqp0.8-spec-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(strict)
# runtime requirements
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojo::EventEmitter)
BuildRequires:  perl(Mojo::Home)
BuildRequires:  perl(Mojo::IOLoop)
BuildRequires:  perl(Mojo::JSON)
BuildRequires:  perl(Mojo::Parameters)
BuildRequires:  perl(Mojo::Promise)
BuildRequires:  perl(Mojo::URL)
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(Net::AMQP) >= 0.06
BuildRequires:  perl(Net::AMQP::Common)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(constant)
# test requirements
BuildRequires:  perl(Test::Exception) >= 0.43
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Mojo::EventEmitter)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Net::AMQP) >= 0.06
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))

%{?perl_default_filter}

## Filter unneeded Requires with RPM
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Net::AMQP\\)$
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(List::Util\\)$

%description
Mojo::RabbitMQ::Client is a rewrite of AnyEvent::RabbitMQ to work on top of
Mojo::IOLoop.

%prep
%setup -q -n Mojo-RabbitMQ-Client-%{version}
rm -rf inc

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_RMQ='' MOJO_RABBITMQ_DEBUG="" MOJO_CONNECT_TIMEOUT="" ./Build test

%files
%doc examples Changes README.md
%license LICENSE
%{perl_vendorlib}/auto
%{perl_vendorlib}/Mojo*
%{_mandir}/man3/Mojo*

%changelog
* Mon Jul 08 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.2.2-4
- Take into account more review comments (#1726432)

* Fri Jul 05 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.2.2-3
- Take into account review comments (#1726432)

* Wed Jul 03 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.2.2-2
- Source modified to not include share/fixed_amqp0-8.xml (#1726432)

* Fri Jun 21 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.2.2-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
